#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 10. Graphics and Font Libraries

- Prev

  glycin-2.1.1

- Next

  Graphite2-1.3.14

- Up
- Home

# libglycin-gtk4 from glycin-2.1.1

## Introduction to libglycin-gtk4

The `libglycin-gtk4` library provides GTK-4 integration for glycin-2.1.1.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/glycin/2.1/glycin-2.1.1.tar.xz

- Download MD5 sum: 411550c5da777a952bb6c811fd882156

- Download size: 6.8 MB

- Estimated disk space required: 670 MB (with documentation)

- Estimated build time: 2.0 SBU (with documentation)

### glycin Dependencies

#### Required

glycin-2.1.1 and GTK-4.22.4

#### Recommended

Vala-0.56.19

### Note

An Internet connection is needed for building this package. The system certificate store may need to be set up with make-ca-1.16.1 before building this package.

## Installation of libglycin-gtk4

Install `libglycin-gtk4` by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr               \
                --buildtype=release         \
                -D libglycin=false          \
                -D libglycin-gtk4=true      \
                -D glycin-loaders=false     \
                -D glycin-thumbnailer=false &&
    ninja

If you have installed Gi-DocGen-2026.1, you can build the documentation by issuing:

    sed "/install_dir:.*doc/s|,$| / 'glycin-' + meson.project_version()&|" \
        -i ../libglycin/meson.build &&

    meson configure -D capi_docs=true &&
    ninja

This package does not come with a test suite.

Now as the `root` user:

    ninja install

## Command Explanations

`-D *=false`: These parameters disable the components already installed as a part of glycin-2.1.1.

`-D vapi=false`: This option allows building this package without Vala-0.56.19 installed.

## Contents

Installed Library: libglycin-gtk4-2.so
Installed Directories: /usr/include/glycin-gtk4-2 and /usr/share/doc/glycin-2.1.1/libglycin-gtk-2

### Short Descriptions

`libglycin-gtk4-2.so` | provides API functions to convert glycin frames to GDK 4 textures

- Prev

  glycin-2.1.1

- Next

  Graphite2-1.3.14

- Up
- Home